package com.ruoyi.oa.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.entity.SysUser;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc借款申请对象 cmc_borrow
 * 
 * @author cmc
 * @date 2024-04-07
 */
public class CmcBorrow extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 借款申请id */
    private String borrowJd;

    /** 项目id */
    @Excel(name = "项目id")
    private String projectId;

    private CmcProject project;

    /** 借款类型 */
    @Excel(name = "借款类型")
    private String borrowType;

    /** 借款事由 */
    @Excel(name = "借款事由")
    private String applyReason;

    /** 借款部门 */
    @Excel(name = "借款部门")
    private String applyDept;

    /** 借款人 */
    @Excel(name = "借款人")
    private Long applier;

    private SysUser applierUser;

    /** 借款日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "借款日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date applyDate;

    /** 申请金额 */
    @Excel(name = "申请金额")
    private BigDecimal applyAmount;

    /** 核准金额 */
    @Excel(name = "核准金额")
    private BigDecimal managerAmount;

    /** 部门意见 */
    @Excel(name = "部门意见")
    private String deptComment;

    /** 部门审批人 */
    @Excel(name = "部门审批人")
    private Long deptUserId;

    /** 项目部审批人 */
    @Excel(name = "项目部审批人")
    private Long xmUserId;

    /** 项目部审批意见 */
    @Excel(name = "项目部审批意见")
    private String xmComment;

    /** 分管审批意见 */
    @Excel(name = "分管审批意见")
    private String managerComment;

    /** 分管审批人 */
    @Excel(name = "分管审批人")
    private Long managerUserId;

    /** 总经理审批人 */
    @Excel(name = "总经理审批人")
    private Long zjlUserId;

    /** 总经理审批意见 */
    @Excel(name = "总经理审批意见")
    private String zjlComment;

    /** 财务部经办人 */
    @Excel(name = "财务部经办人")
    private Long cwUserId;

    /** 财务部支付备注 */
    @Excel(name = "财务部支付备注")
    private String cwComment;

    /** 部门审批时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "部门审批时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date deptTime;

    /** 项目部审批时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "项目部审批时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date xmTime;

    /** 分管审批时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "分管审批时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date managerTime;

    /** 总经理审批时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "总经理审批时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date zjlTime;

    /** 借款支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "借款支付时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lendTime;

    public void setBorrowJd(String borrowJd) 
    {
        this.borrowJd = borrowJd;
    }

    public String getBorrowJd() 
    {
        return borrowJd;
    }
    public void setProjectId(String projectId) 
    {
        this.projectId = projectId;
    }

    public String getProjectId() 
    {
        return projectId;
    }
    public void setProject(CmcProject project)
    {
        this.project = project;
    }

    public CmcProject getProject()
    {
        return project;
    }
    public void setBorrowType(String borrowType) 
    {
        this.borrowType = borrowType;
    }

    public String getBorrowType() 
    {
        return borrowType;
    }
    public void setApplyReason(String applyReason) 
    {
        this.applyReason = applyReason;
    }

    public String getApplyReason() 
    {
        return applyReason;
    }
    public void setApplyDept(String applyDept)
    {
        this.applyDept = applyDept;
    }

    public String getApplyDept()
    {
        return applyDept;
    }
    public void setApplier(Long applier) 
    {
        this.applier = applier;
    }

    public Long getApplier() 
    {
        return applier;
    }
    public void setApplierUser(SysUser applierUser)
    {
        this.applierUser = applierUser;
    }

    public SysUser getApplierUser()
    {
        return applierUser;
    }
    public void setApplyDate(Date applyDate) 
    {
        this.applyDate = applyDate;
    }

    public Date getApplyDate() 
    {
        return applyDate;
    }
    public void setApplyAmount(BigDecimal applyAmount) 
    {
        this.applyAmount = applyAmount;
    }

    public BigDecimal getApplyAmount() 
    {
        return applyAmount;
    }
    public void setManagerAmount(BigDecimal managerAmount) 
    {
        this.managerAmount = managerAmount;
    }

    public BigDecimal getManagerAmount() 
    {
        return managerAmount;
    }
    public void setDeptComment(String deptComment) 
    {
        this.deptComment = deptComment;
    }

    public String getDeptComment() 
    {
        return deptComment;
    }
    public void setDeptUserId(Long deptUserId) 
    {
        this.deptUserId = deptUserId;
    }

    public Long getDeptUserId() 
    {
        return deptUserId;
    }
    public void setXmUserId(Long xmUserId) 
    {
        this.xmUserId = xmUserId;
    }

    public Long getXmUserId() 
    {
        return xmUserId;
    }
    public void setXmComment(String xmComment) 
    {
        this.xmComment = xmComment;
    }

    public String getXmComment() 
    {
        return xmComment;
    }
    public void setManagerComment(String managerComment) 
    {
        this.managerComment = managerComment;
    }

    public String getManagerComment() 
    {
        return managerComment;
    }
    public void setManagerUserId(Long managerUserId) 
    {
        this.managerUserId = managerUserId;
    }

    public Long getManagerUserId() 
    {
        return managerUserId;
    }
    public void setZjlUserId(Long zjlUserId) 
    {
        this.zjlUserId = zjlUserId;
    }

    public Long getZjlUserId() 
    {
        return zjlUserId;
    }
    public void setZjlComment(String zjlComment) 
    {
        this.zjlComment = zjlComment;
    }

    public String getZjlComment() 
    {
        return zjlComment;
    }
    public void setCwUserId(Long cwUserId) 
    {
        this.cwUserId = cwUserId;
    }

    public Long getCwUserId() 
    {
        return cwUserId;
    }
    public void setCwComment(String cwComment) 
    {
        this.cwComment = cwComment;
    }

    public String getCwComment() 
    {
        return cwComment;
    }
    public void setDeptTime(Date deptTime) 
    {
        this.deptTime = deptTime;
    }

    public Date getDeptTime() 
    {
        return deptTime;
    }
    public void setXmTime(Date xmTime) 
    {
        this.xmTime = xmTime;
    }

    public Date getXmTime() 
    {
        return xmTime;
    }
    public void setManagerTime(Date managerTime) 
    {
        this.managerTime = managerTime;
    }

    public Date getManagerTime() 
    {
        return managerTime;
    }
    public void setZjlTime(Date zjlTime) 
    {
        this.zjlTime = zjlTime;
    }

    public Date getZjlTime() 
    {
        return zjlTime;
    }
    public void setLendTime(Date lendTime) 
    {
        this.lendTime = lendTime;
    }

    public Date getLendTime() 
    {
        return lendTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("borrowJd", getBorrowJd())
            .append("projectId", getProjectId())
            .append("borrowType", getBorrowType())
            .append("applyReason", getApplyReason())
            .append("applier", getApplier())
            .append("applyDept", getApplyDept())
            .append("applyDate", getApplyDate())
            .append("applyAmount", getApplyAmount())
            .append("managerAmount", getManagerAmount())
            .append("deptComment", getDeptComment())
            .append("deptUserId", getDeptUserId())
            .append("xmUserId", getXmUserId())
            .append("xmComment", getXmComment())
            .append("managerComment", getManagerComment())
            .append("managerUserId", getManagerUserId())
            .append("zjlUserId", getZjlUserId())
            .append("zjlComment", getZjlComment())
            .append("cwUserId", getCwUserId())
            .append("cwComment", getCwComment())
            .append("deptTime", getDeptTime())
            .append("xmTime", getXmTime())
            .append("managerTime", getManagerTime())
            .append("zjlTime", getZjlTime())
            .append("lendTime", getLendTime())
            .toString();
    }
}
